%{?nodejs_find_provides_and_requires}

%global packagename defence
%global enable_tests 1

Name:		nodejs-defence
Version:	1.0.3
Release:	1%{?dist}
Summary:	Extract fenced code from CommonMark documents

License:	MIT
URL:		https://github.com/kemitchell/defence.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

Source11:	LICENSE
# add our own copy of the MIT license, since there isn't one upstream


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	sed
BuildRequires:	npm(commonmark)
BuildRequires:	npm(replace-require-self)
%endif

Requires:	nodejs

%description
Extract fenced code from CommonMark documents


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
# copy the LICENSE file
cp -p %{SOURCE11} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
sed "1d;x" README.md | replace-require-self | node
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Dec 15 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-1
- Initial packaging
